Bug 5020 - [PACKAGE REQUEST] python-apt
: [PACKAGE REQUEST] python-apt
Status: RESOLVED WONTFIX
Product: Desktop Features
Classification: ROSA Desktop
Component: All
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-07 20:00 MSK by Eugene Budanov
Modified: 2015-12-10 10:59 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Budanov 2015-02-07 20:00:53 MSK
We need python-apt package. 

It will needed in future version of Steam.
Comment 1 Denis Silakov 2015-12-10 10:59:00 MSK
No, we don't need python-apt.

I guess this request cam from the fact that steam has "steamdeps" script which tries to install dependencies for different games. However, this script will not  work in non-Debian system even if you install "apt" and "dpkg". Mageia (https://bugs.mageia.org/show_bug.cgi?id=9407) and Fedora (https://gist.github.com/Mailaender/4973797) tried to adopt streamdeps script for their systems but with no success and finally just dropped it. With the next steam update we will follo the same way and just disable streamdeps.